Subject: Re: bug#27154: 25.2; python.el shell does not respect getpass.getpass prompt

From: Diego Fernandez <[email-masked]>
Date: Wed, 31 May 2017 15:08:49 -0400

Ahh, great thanks! that works for me.

It still seems to me that the default behavior should respect password
prompts, but I can easily just add this to my init.el :)

On Wed, May 31, 2017 at 2:46 PM, Glenn Morris <[email-masked]> wrote:

> Glenn Morris wrote:
>
> > emacs -Q --eval "(add-hook 'inferior-python-mode-hook (lambda () (push
> > 'comint-watch-for-password-prompt comint-output-filter-functions)))"
> > -f run-python
>
> Sorry, add-hook would be better than push.
>
> > I have no idea whether your usage is common enough that this should be
> the
> > default.
>
> I see comint-watch-for-password-prompt was taken out a few years ago
> (a6dc66a),
> for performance reasons, https://debbugs.gnu.org/16875 . Though from the
> numbers quoted there, it doesn't look like it was causing any problem.
>

-- 
Diego Fernandez - 爱国
Senior Software Engineer
CEE Analytics (& Diagnostics)

IRC: aiguofer on #gss, #customer-platform, #cee, or #wabash

*Please make your CEE Analytics requests here
<https://operations.cee.redhat.com/#/requests/analytics>!*